PSC(1)

BEZEICHNUNG
psc - Sc-Dateien erstellen

ÜBERSICHT
psc [-fLkrSPv] [-s Zelle] [-R n] [-C n] [-n n] [-d z]

BESCHREIBUNG
Psc wird zum Erstellen von Daten für die Eingabe in das Tabellenkalkulationsprogramm sc(1) verwandt. Es akzeptiert normale ASCII-Daten auf der Standardeingabe. Die Standardausgabe ist eine sc-Datei. Ohne Optionen startet psc die Tabelle in Zelle A0. Zeichenketten sind rechts ausgerichtet. Alle Daten in einer Zeile werden in der gleichen Zeile eingegeben; neue Eingabezeilen führen dazu, dass die Ausgabezeilennummer um eins erhöht wird. Die Standardtrenner sind Tabulator und Leerzeichen. Die Spaltenformate werden auf eines größer gesetzt, als benötigt würde, um den größten Wert in der Spalte zu halten.

OPTIONEN

-f  Überspringt die Spaltenbreitenberechnung. Diese Option ist dazu gedacht, um Daten mit einer bestehenden Tabelle zusammenzuführen. Falls die Option nicht angegeben ist, wird die für die von psc gelesenen Daten berechneten Spaltenbreiten die bereits in der bestehenden Tabelle gesetzten außer Kraft setzen.

-L  Richtet Zeichenketten linksbündig aus.

-k  Behält alle Trenner bei. Diese Option führt dazu, dass die Ausgabezelle nach jedem Trenner, der im Eingabedatenstrom erkannt wird, geändert wird. Standardmäßig werden mehrere Trenner zu einem zusammengeführt, so dass sich die Zelle nur einmal pro Eingabedatenstrom ändert.

-r  Gibt die Daten zuerst den Zeilen dann den Spalten nach aus. Besteht die Eingabe aus einer einzelnen Spalte, dann führt diese Option dazu, dass eine einzelne Zeile mit mehreren Spalten statt einer Tabelle mit einer einzelnen Spalte ausgegeben wird.

-s Zelle
    Beginnt mit der oberen linken Ecke der Tabelle in Zelle. Beispielsweise wird -s B33 die Ausgabedaten so arrangieren, dass die Tabelle in Spalte B, Zeile 33 beginnt.

-R n
    Erhöht um n bei jeder neuen Ausgabezeile.

-C n
    Erhöht um n bei jeder neuen Ausgabespalte.

-n n
    Gibt n Zeilen aus, bevor zur nächsten Spalte gewechselt wird. Diese Option wird verwandt, wenn die Eingabe in einer einzelnen Spalte angeordnet ist und die Tabelle mehrere Spalten haben soll, die jeweils die Länge n haben sollen.

-d z
    Verwendet das einzelne Zeichen z als Trenner zwischen Eingabefeldern.

-P  Nur reine Zahlen. Ein Feld ist nur dann eine Zahl, wenn es keine eingebetteten [-+eE] gibt.

-S  Alle Zahlen sind Zeichenketten.

-v  Gibt die Version von psc(1) aus.

SIEHE AUCH
sc(1)

AUTOR

Robert Bond

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).